/*
polyprint.v1

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package polyprintapi

import (
	"encoding/json"
)

// checks if the CreatePrintOrderRequestPersonalizationData type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &CreatePrintOrderRequestPersonalizationData{}

// CreatePrintOrderRequestPersonalizationData struct for CreatePrintOrderRequestPersonalizationData
type CreatePrintOrderRequestPersonalizationData struct {
	FirstName interface{} `json:"firstName,omitempty"`
	LastName interface{} `json:"lastName,omitempty"`
	Email interface{} `json:"email,omitempty"`
	Phone interface{} `json:"phone,omitempty"`
	JobTitle interface{} `json:"jobTitle,omitempty"`
	Department interface{} `json:"department,omitempty"`
	Branch interface{} `json:"branch,omitempty"`
	NfcCode interface{} `json:"nfcCode,omitempty"`
	QrCode interface{} `json:"qrCode,omitempty"`
	Language interface{} `json:"language,omitempty"`
	Custom1 interface{} `json:"custom1,omitempty"`
	Custom2 interface{} `json:"custom2,omitempty"`
	AcademicTitle interface{} `json:"academicTitle,omitempty"`
	Organization interface{} `json:"organization,omitempty"`
	Link interface{} `json:"link,omitempty"`
	Street interface{} `json:"street,omitempty"`
	StreetNumber interface{} `json:"streetNumber,omitempty"`
	DoorNumber interface{} `json:"doorNumber,omitempty"`
	Zip interface{} `json:"zip,omitempty"`
	City interface{} `json:"city,omitempty"`
	Country interface{} `json:"country,omitempty"`
	SenderName interface{} `json:"senderName,omitempty"`
	SenderStreet interface{} `json:"senderStreet,omitempty"`
	SenderStreetNo interface{} `json:"SenderStreetNo,omitempty"`
	SenderDepartment interface{} `json:"senderDepartment,omitempty"`
	SenderBranch interface{} `json:"senderBranch,omitempty"`
	SenderOrganization interface{} `json:"senderOrganization,omitempty"`
	SenderCity interface{} `json:"senderCity,omitempty"`
	SenderCountry interface{} `json:"senderCountry,omitempty"`
	SenderZip interface{} `json:"senderZip,omitempty"`
	Date interface{} `json:"date,omitempty"`
}

// NewCreatePrintOrderRequestPersonalizationData instantiates a new CreatePrintOrderRequestPersonalizationData object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewCreatePrintOrderRequestPersonalizationData() *CreatePrintOrderRequestPersonalizationData {
	this := CreatePrintOrderRequestPersonalizationData{}
	return &this
}

// NewCreatePrintOrderRequestPersonalizationDataWithDefaults instantiates a new CreatePrintOrderRequestPersonalizationData object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewCreatePrintOrderRequestPersonalizationDataWithDefaults() *CreatePrintOrderRequestPersonalizationData {
	this := CreatePrintOrderRequestPersonalizationData{}
	return &this
}

// GetFirstName returns the FirstName field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetFirstName() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.FirstName
}

// GetFirstNameOk returns a tuple with the FirstName field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetFirstNameOk() (*interface{}, bool) {
	if o == nil || IsNil(o.FirstName) {
		return nil, false
	}
	return &o.FirstName, true
}

// HasFirstName returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasFirstName() bool {
	if o != nil && IsNil(o.FirstName) {
		return true
	}

	return false
}

// SetFirstName gets a reference to the given interface{} and assigns it to the FirstName field.
func (o *CreatePrintOrderRequestPersonalizationData) SetFirstName(v interface{}) {
	o.FirstName = v
}

// GetLastName returns the LastName field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetLastName() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.LastName
}

// GetLastNameOk returns a tuple with the LastName field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetLastNameOk() (*interface{}, bool) {
	if o == nil || IsNil(o.LastName) {
		return nil, false
	}
	return &o.LastName, true
}

// HasLastName returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasLastName() bool {
	if o != nil && IsNil(o.LastName) {
		return true
	}

	return false
}

// SetLastName gets a reference to the given interface{} and assigns it to the LastName field.
func (o *CreatePrintOrderRequestPersonalizationData) SetLastName(v interface{}) {
	o.LastName = v
}

// GetEmail returns the Email field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetEmail() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.Email
}

// GetEmailOk returns a tuple with the Email field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetEmailOk() (*interface{}, bool) {
	if o == nil || IsNil(o.Email) {
		return nil, false
	}
	return &o.Email, true
}

// HasEmail returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasEmail() bool {
	if o != nil && IsNil(o.Email) {
		return true
	}

	return false
}

// SetEmail gets a reference to the given interface{} and assigns it to the Email field.
func (o *CreatePrintOrderRequestPersonalizationData) SetEmail(v interface{}) {
	o.Email = v
}

// GetPhone returns the Phone field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetPhone() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.Phone
}

// GetPhoneOk returns a tuple with the Phone field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetPhoneOk() (*interface{}, bool) {
	if o == nil || IsNil(o.Phone) {
		return nil, false
	}
	return &o.Phone, true
}

// HasPhone returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasPhone() bool {
	if o != nil && IsNil(o.Phone) {
		return true
	}

	return false
}

// SetPhone gets a reference to the given interface{} and assigns it to the Phone field.
func (o *CreatePrintOrderRequestPersonalizationData) SetPhone(v interface{}) {
	o.Phone = v
}

// GetJobTitle returns the JobTitle field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetJobTitle() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.JobTitle
}

// GetJobTitleOk returns a tuple with the JobTitle field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetJobTitleOk() (*interface{}, bool) {
	if o == nil || IsNil(o.JobTitle) {
		return nil, false
	}
	return &o.JobTitle, true
}

// HasJobTitle returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasJobTitle() bool {
	if o != nil && IsNil(o.JobTitle) {
		return true
	}

	return false
}

// SetJobTitle gets a reference to the given interface{} and assigns it to the JobTitle field.
func (o *CreatePrintOrderRequestPersonalizationData) SetJobTitle(v interface{}) {
	o.JobTitle = v
}

// GetDepartment returns the Department field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetDepartment() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.Department
}

// GetDepartmentOk returns a tuple with the Department field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetDepartmentOk() (*interface{}, bool) {
	if o == nil || IsNil(o.Department) {
		return nil, false
	}
	return &o.Department, true
}

// HasDepartment returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasDepartment() bool {
	if o != nil && IsNil(o.Department) {
		return true
	}

	return false
}

// SetDepartment gets a reference to the given interface{} and assigns it to the Department field.
func (o *CreatePrintOrderRequestPersonalizationData) SetDepartment(v interface{}) {
	o.Department = v
}

// GetBranch returns the Branch field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetBranch() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.Branch
}

// GetBranchOk returns a tuple with the Branch field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetBranchOk() (*interface{}, bool) {
	if o == nil || IsNil(o.Branch) {
		return nil, false
	}
	return &o.Branch, true
}

// HasBranch returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasBranch() bool {
	if o != nil && IsNil(o.Branch) {
		return true
	}

	return false
}

// SetBranch gets a reference to the given interface{} and assigns it to the Branch field.
func (o *CreatePrintOrderRequestPersonalizationData) SetBranch(v interface{}) {
	o.Branch = v
}

// GetNfcCode returns the NfcCode field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetNfcCode() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.NfcCode
}

// GetNfcCodeOk returns a tuple with the NfcCode field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetNfcCodeOk() (*interface{}, bool) {
	if o == nil || IsNil(o.NfcCode) {
		return nil, false
	}
	return &o.NfcCode, true
}

// HasNfcCode returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasNfcCode() bool {
	if o != nil && IsNil(o.NfcCode) {
		return true
	}

	return false
}

// SetNfcCode gets a reference to the given interface{} and assigns it to the NfcCode field.
func (o *CreatePrintOrderRequestPersonalizationData) SetNfcCode(v interface{}) {
	o.NfcCode = v
}

// GetQrCode returns the QrCode field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetQrCode() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.QrCode
}

// GetQrCodeOk returns a tuple with the QrCode field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetQrCodeOk() (*interface{}, bool) {
	if o == nil || IsNil(o.QrCode) {
		return nil, false
	}
	return &o.QrCode, true
}

// HasQrCode returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasQrCode() bool {
	if o != nil && IsNil(o.QrCode) {
		return true
	}

	return false
}

// SetQrCode gets a reference to the given interface{} and assigns it to the QrCode field.
func (o *CreatePrintOrderRequestPersonalizationData) SetQrCode(v interface{}) {
	o.QrCode = v
}

// GetLanguage returns the Language field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetLanguage() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.Language
}

// GetLanguageOk returns a tuple with the Language field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetLanguageOk() (*interface{}, bool) {
	if o == nil || IsNil(o.Language) {
		return nil, false
	}
	return &o.Language, true
}

// HasLanguage returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasLanguage() bool {
	if o != nil && IsNil(o.Language) {
		return true
	}

	return false
}

// SetLanguage gets a reference to the given interface{} and assigns it to the Language field.
func (o *CreatePrintOrderRequestPersonalizationData) SetLanguage(v interface{}) {
	o.Language = v
}

// GetCustom1 returns the Custom1 field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetCustom1() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.Custom1
}

// GetCustom1Ok returns a tuple with the Custom1 field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetCustom1Ok() (*interface{}, bool) {
	if o == nil || IsNil(o.Custom1) {
		return nil, false
	}
	return &o.Custom1, true
}

// HasCustom1 returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasCustom1() bool {
	if o != nil && IsNil(o.Custom1) {
		return true
	}

	return false
}

// SetCustom1 gets a reference to the given interface{} and assigns it to the Custom1 field.
func (o *CreatePrintOrderRequestPersonalizationData) SetCustom1(v interface{}) {
	o.Custom1 = v
}

// GetCustom2 returns the Custom2 field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetCustom2() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.Custom2
}

// GetCustom2Ok returns a tuple with the Custom2 field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetCustom2Ok() (*interface{}, bool) {
	if o == nil || IsNil(o.Custom2) {
		return nil, false
	}
	return &o.Custom2, true
}

// HasCustom2 returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasCustom2() bool {
	if o != nil && IsNil(o.Custom2) {
		return true
	}

	return false
}

// SetCustom2 gets a reference to the given interface{} and assigns it to the Custom2 field.
func (o *CreatePrintOrderRequestPersonalizationData) SetCustom2(v interface{}) {
	o.Custom2 = v
}

// GetAcademicTitle returns the AcademicTitle field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetAcademicTitle() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.AcademicTitle
}

// GetAcademicTitleOk returns a tuple with the AcademicTitle field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetAcademicTitleOk() (*interface{}, bool) {
	if o == nil || IsNil(o.AcademicTitle) {
		return nil, false
	}
	return &o.AcademicTitle, true
}

// HasAcademicTitle returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasAcademicTitle() bool {
	if o != nil && IsNil(o.AcademicTitle) {
		return true
	}

	return false
}

// SetAcademicTitle gets a reference to the given interface{} and assigns it to the AcademicTitle field.
func (o *CreatePrintOrderRequestPersonalizationData) SetAcademicTitle(v interface{}) {
	o.AcademicTitle = v
}

// GetOrganization returns the Organization field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetOrganization() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.Organization
}

// GetOrganizationOk returns a tuple with the Organization field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetOrganizationOk() (*interface{}, bool) {
	if o == nil || IsNil(o.Organization) {
		return nil, false
	}
	return &o.Organization, true
}

// HasOrganization returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasOrganization() bool {
	if o != nil && IsNil(o.Organization) {
		return true
	}

	return false
}

// SetOrganization gets a reference to the given interface{} and assigns it to the Organization field.
func (o *CreatePrintOrderRequestPersonalizationData) SetOrganization(v interface{}) {
	o.Organization = v
}

// GetLink returns the Link field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetLink() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.Link
}

// GetLinkOk returns a tuple with the Link field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetLinkOk() (*interface{}, bool) {
	if o == nil || IsNil(o.Link) {
		return nil, false
	}
	return &o.Link, true
}

// HasLink returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasLink() bool {
	if o != nil && IsNil(o.Link) {
		return true
	}

	return false
}

// SetLink gets a reference to the given interface{} and assigns it to the Link field.
func (o *CreatePrintOrderRequestPersonalizationData) SetLink(v interface{}) {
	o.Link = v
}

// GetStreet returns the Street field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetStreet() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.Street
}

// GetStreetOk returns a tuple with the Street field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetStreetOk() (*interface{}, bool) {
	if o == nil || IsNil(o.Street) {
		return nil, false
	}
	return &o.Street, true
}

// HasStreet returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasStreet() bool {
	if o != nil && IsNil(o.Street) {
		return true
	}

	return false
}

// SetStreet gets a reference to the given interface{} and assigns it to the Street field.
func (o *CreatePrintOrderRequestPersonalizationData) SetStreet(v interface{}) {
	o.Street = v
}

// GetStreetNumber returns the StreetNumber field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetStreetNumber() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.StreetNumber
}

// GetStreetNumberOk returns a tuple with the StreetNumber field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetStreetNumberOk() (*interface{}, bool) {
	if o == nil || IsNil(o.StreetNumber) {
		return nil, false
	}
	return &o.StreetNumber, true
}

// HasStreetNumber returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasStreetNumber() bool {
	if o != nil && IsNil(o.StreetNumber) {
		return true
	}

	return false
}

// SetStreetNumber gets a reference to the given interface{} and assigns it to the StreetNumber field.
func (o *CreatePrintOrderRequestPersonalizationData) SetStreetNumber(v interface{}) {
	o.StreetNumber = v
}

// GetDoorNumber returns the DoorNumber field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetDoorNumber() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.DoorNumber
}

// GetDoorNumberOk returns a tuple with the DoorNumber field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetDoorNumberOk() (*interface{}, bool) {
	if o == nil || IsNil(o.DoorNumber) {
		return nil, false
	}
	return &o.DoorNumber, true
}

// HasDoorNumber returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasDoorNumber() bool {
	if o != nil && IsNil(o.DoorNumber) {
		return true
	}

	return false
}

// SetDoorNumber gets a reference to the given interface{} and assigns it to the DoorNumber field.
func (o *CreatePrintOrderRequestPersonalizationData) SetDoorNumber(v interface{}) {
	o.DoorNumber = v
}

// GetZip returns the Zip field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetZip() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.Zip
}

// GetZipOk returns a tuple with the Zip field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetZipOk() (*interface{}, bool) {
	if o == nil || IsNil(o.Zip) {
		return nil, false
	}
	return &o.Zip, true
}

// HasZip returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasZip() bool {
	if o != nil && IsNil(o.Zip) {
		return true
	}

	return false
}

// SetZip gets a reference to the given interface{} and assigns it to the Zip field.
func (o *CreatePrintOrderRequestPersonalizationData) SetZip(v interface{}) {
	o.Zip = v
}

// GetCity returns the City field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetCity() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.City
}

// GetCityOk returns a tuple with the City field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetCityOk() (*interface{}, bool) {
	if o == nil || IsNil(o.City) {
		return nil, false
	}
	return &o.City, true
}

// HasCity returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasCity() bool {
	if o != nil && IsNil(o.City) {
		return true
	}

	return false
}

// SetCity gets a reference to the given interface{} and assigns it to the City field.
func (o *CreatePrintOrderRequestPersonalizationData) SetCity(v interface{}) {
	o.City = v
}

// GetCountry returns the Country field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetCountry() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.Country
}

// GetCountryOk returns a tuple with the Country field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetCountryOk() (*interface{}, bool) {
	if o == nil || IsNil(o.Country) {
		return nil, false
	}
	return &o.Country, true
}

// HasCountry returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasCountry() bool {
	if o != nil && IsNil(o.Country) {
		return true
	}

	return false
}

// SetCountry gets a reference to the given interface{} and assigns it to the Country field.
func (o *CreatePrintOrderRequestPersonalizationData) SetCountry(v interface{}) {
	o.Country = v
}

// GetSenderName returns the SenderName field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetSenderName() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.SenderName
}

// GetSenderNameOk returns a tuple with the SenderName field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetSenderNameOk() (*interface{}, bool) {
	if o == nil || IsNil(o.SenderName) {
		return nil, false
	}
	return &o.SenderName, true
}

// HasSenderName returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasSenderName() bool {
	if o != nil && IsNil(o.SenderName) {
		return true
	}

	return false
}

// SetSenderName gets a reference to the given interface{} and assigns it to the SenderName field.
func (o *CreatePrintOrderRequestPersonalizationData) SetSenderName(v interface{}) {
	o.SenderName = v
}

// GetSenderStreet returns the SenderStreet field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetSenderStreet() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.SenderStreet
}

// GetSenderStreetOk returns a tuple with the SenderStreet field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetSenderStreetOk() (*interface{}, bool) {
	if o == nil || IsNil(o.SenderStreet) {
		return nil, false
	}
	return &o.SenderStreet, true
}

// HasSenderStreet returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasSenderStreet() bool {
	if o != nil && IsNil(o.SenderStreet) {
		return true
	}

	return false
}

// SetSenderStreet gets a reference to the given interface{} and assigns it to the SenderStreet field.
func (o *CreatePrintOrderRequestPersonalizationData) SetSenderStreet(v interface{}) {
	o.SenderStreet = v
}

// GetSenderStreetNo returns the SenderStreetNo field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetSenderStreetNo() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.SenderStreetNo
}

// GetSenderStreetNoOk returns a tuple with the SenderStreetNo field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetSenderStreetNoOk() (*interface{}, bool) {
	if o == nil || IsNil(o.SenderStreetNo) {
		return nil, false
	}
	return &o.SenderStreetNo, true
}

// HasSenderStreetNo returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasSenderStreetNo() bool {
	if o != nil && IsNil(o.SenderStreetNo) {
		return true
	}

	return false
}

// SetSenderStreetNo gets a reference to the given interface{} and assigns it to the SenderStreetNo field.
func (o *CreatePrintOrderRequestPersonalizationData) SetSenderStreetNo(v interface{}) {
	o.SenderStreetNo = v
}

// GetSenderDepartment returns the SenderDepartment field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetSenderDepartment() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.SenderDepartment
}

// GetSenderDepartmentOk returns a tuple with the SenderDepartment field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetSenderDepartmentOk() (*interface{}, bool) {
	if o == nil || IsNil(o.SenderDepartment) {
		return nil, false
	}
	return &o.SenderDepartment, true
}

// HasSenderDepartment returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasSenderDepartment() bool {
	if o != nil && IsNil(o.SenderDepartment) {
		return true
	}

	return false
}

// SetSenderDepartment gets a reference to the given interface{} and assigns it to the SenderDepartment field.
func (o *CreatePrintOrderRequestPersonalizationData) SetSenderDepartment(v interface{}) {
	o.SenderDepartment = v
}

// GetSenderBranch returns the SenderBranch field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetSenderBranch() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.SenderBranch
}

// GetSenderBranchOk returns a tuple with the SenderBranch field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetSenderBranchOk() (*interface{}, bool) {
	if o == nil || IsNil(o.SenderBranch) {
		return nil, false
	}
	return &o.SenderBranch, true
}

// HasSenderBranch returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasSenderBranch() bool {
	if o != nil && IsNil(o.SenderBranch) {
		return true
	}

	return false
}

// SetSenderBranch gets a reference to the given interface{} and assigns it to the SenderBranch field.
func (o *CreatePrintOrderRequestPersonalizationData) SetSenderBranch(v interface{}) {
	o.SenderBranch = v
}

// GetSenderOrganization returns the SenderOrganization field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetSenderOrganization() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.SenderOrganization
}

// GetSenderOrganizationOk returns a tuple with the SenderOrganization field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetSenderOrganizationOk() (*interface{}, bool) {
	if o == nil || IsNil(o.SenderOrganization) {
		return nil, false
	}
	return &o.SenderOrganization, true
}

// HasSenderOrganization returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasSenderOrganization() bool {
	if o != nil && IsNil(o.SenderOrganization) {
		return true
	}

	return false
}

// SetSenderOrganization gets a reference to the given interface{} and assigns it to the SenderOrganization field.
func (o *CreatePrintOrderRequestPersonalizationData) SetSenderOrganization(v interface{}) {
	o.SenderOrganization = v
}

// GetSenderCity returns the SenderCity field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetSenderCity() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.SenderCity
}

// GetSenderCityOk returns a tuple with the SenderCity field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetSenderCityOk() (*interface{}, bool) {
	if o == nil || IsNil(o.SenderCity) {
		return nil, false
	}
	return &o.SenderCity, true
}

// HasSenderCity returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasSenderCity() bool {
	if o != nil && IsNil(o.SenderCity) {
		return true
	}

	return false
}

// SetSenderCity gets a reference to the given interface{} and assigns it to the SenderCity field.
func (o *CreatePrintOrderRequestPersonalizationData) SetSenderCity(v interface{}) {
	o.SenderCity = v
}

// GetSenderCountry returns the SenderCountry field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetSenderCountry() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.SenderCountry
}

// GetSenderCountryOk returns a tuple with the SenderCountry field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetSenderCountryOk() (*interface{}, bool) {
	if o == nil || IsNil(o.SenderCountry) {
		return nil, false
	}
	return &o.SenderCountry, true
}

// HasSenderCountry returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasSenderCountry() bool {
	if o != nil && IsNil(o.SenderCountry) {
		return true
	}

	return false
}

// SetSenderCountry gets a reference to the given interface{} and assigns it to the SenderCountry field.
func (o *CreatePrintOrderRequestPersonalizationData) SetSenderCountry(v interface{}) {
	o.SenderCountry = v
}

// GetSenderZip returns the SenderZip field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetSenderZip() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.SenderZip
}

// GetSenderZipOk returns a tuple with the SenderZip field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetSenderZipOk() (*interface{}, bool) {
	if o == nil || IsNil(o.SenderZip) {
		return nil, false
	}
	return &o.SenderZip, true
}

// HasSenderZip returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasSenderZip() bool {
	if o != nil && IsNil(o.SenderZip) {
		return true
	}

	return false
}

// SetSenderZip gets a reference to the given interface{} and assigns it to the SenderZip field.
func (o *CreatePrintOrderRequestPersonalizationData) SetSenderZip(v interface{}) {
	o.SenderZip = v
}

// GetDate returns the Date field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *CreatePrintOrderRequestPersonalizationData) GetDate() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.Date
}

// GetDateOk returns a tuple with the Date field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *CreatePrintOrderRequestPersonalizationData) GetDateOk() (*interface{}, bool) {
	if o == nil || IsNil(o.Date) {
		return nil, false
	}
	return &o.Date, true
}

// HasDate returns a boolean if a field has been set.
func (o *CreatePrintOrderRequestPersonalizationData) HasDate() bool {
	if o != nil && IsNil(o.Date) {
		return true
	}

	return false
}

// SetDate gets a reference to the given interface{} and assigns it to the Date field.
func (o *CreatePrintOrderRequestPersonalizationData) SetDate(v interface{}) {
	o.Date = v
}

func (o CreatePrintOrderRequestPersonalizationData) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o CreatePrintOrderRequestPersonalizationData) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if o.FirstName != nil {
		toSerialize["firstName"] = o.FirstName
	}
	if o.LastName != nil {
		toSerialize["lastName"] = o.LastName
	}
	if o.Email != nil {
		toSerialize["email"] = o.Email
	}
	if o.Phone != nil {
		toSerialize["phone"] = o.Phone
	}
	if o.JobTitle != nil {
		toSerialize["jobTitle"] = o.JobTitle
	}
	if o.Department != nil {
		toSerialize["department"] = o.Department
	}
	if o.Branch != nil {
		toSerialize["branch"] = o.Branch
	}
	if o.NfcCode != nil {
		toSerialize["nfcCode"] = o.NfcCode
	}
	if o.QrCode != nil {
		toSerialize["qrCode"] = o.QrCode
	}
	if o.Language != nil {
		toSerialize["language"] = o.Language
	}
	if o.Custom1 != nil {
		toSerialize["custom1"] = o.Custom1
	}
	if o.Custom2 != nil {
		toSerialize["custom2"] = o.Custom2
	}
	if o.AcademicTitle != nil {
		toSerialize["academicTitle"] = o.AcademicTitle
	}
	if o.Organization != nil {
		toSerialize["organization"] = o.Organization
	}
	if o.Link != nil {
		toSerialize["link"] = o.Link
	}
	if o.Street != nil {
		toSerialize["street"] = o.Street
	}
	if o.StreetNumber != nil {
		toSerialize["streetNumber"] = o.StreetNumber
	}
	if o.DoorNumber != nil {
		toSerialize["doorNumber"] = o.DoorNumber
	}
	if o.Zip != nil {
		toSerialize["zip"] = o.Zip
	}
	if o.City != nil {
		toSerialize["city"] = o.City
	}
	if o.Country != nil {
		toSerialize["country"] = o.Country
	}
	if o.SenderName != nil {
		toSerialize["senderName"] = o.SenderName
	}
	if o.SenderStreet != nil {
		toSerialize["senderStreet"] = o.SenderStreet
	}
	if o.SenderStreetNo != nil {
		toSerialize["SenderStreetNo"] = o.SenderStreetNo
	}
	if o.SenderDepartment != nil {
		toSerialize["senderDepartment"] = o.SenderDepartment
	}
	if o.SenderBranch != nil {
		toSerialize["senderBranch"] = o.SenderBranch
	}
	if o.SenderOrganization != nil {
		toSerialize["senderOrganization"] = o.SenderOrganization
	}
	if o.SenderCity != nil {
		toSerialize["senderCity"] = o.SenderCity
	}
	if o.SenderCountry != nil {
		toSerialize["senderCountry"] = o.SenderCountry
	}
	if o.SenderZip != nil {
		toSerialize["senderZip"] = o.SenderZip
	}
	if o.Date != nil {
		toSerialize["date"] = o.Date
	}
	return toSerialize, nil
}

type NullableCreatePrintOrderRequestPersonalizationData struct {
	value *CreatePrintOrderRequestPersonalizationData
	isSet bool
}

func (v NullableCreatePrintOrderRequestPersonalizationData) Get() *CreatePrintOrderRequestPersonalizationData {
	return v.value
}

func (v *NullableCreatePrintOrderRequestPersonalizationData) Set(val *CreatePrintOrderRequestPersonalizationData) {
	v.value = val
	v.isSet = true
}

func (v NullableCreatePrintOrderRequestPersonalizationData) IsSet() bool {
	return v.isSet
}

func (v *NullableCreatePrintOrderRequestPersonalizationData) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableCreatePrintOrderRequestPersonalizationData(val *CreatePrintOrderRequestPersonalizationData) *NullableCreatePrintOrderRequestPersonalizationData {
	return &NullableCreatePrintOrderRequestPersonalizationData{value: val, isSet: true}
}

func (v NullableCreatePrintOrderRequestPersonalizationData) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableCreatePrintOrderRequestPersonalizationData) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


